<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>library_dir_dir/system_library_auth_maint/include/lalr_parse_grammar_t_.incl.pl1</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="pl1">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.Macro { color: #00afaf; }
.pliRainbow_lv0_o0 { color: #add8e6; }
.pliRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
.Number { color: #ff5faf; }
.StorageClass { color: #d7875f; font-weight: bold; }
.Keyword { color: #00afaf; }
.Function { color: #d0d0d0; }
.Comment { color: #808080; }
.Normal { color: #d0d0d0; background-color: #000000; padding-bottom: 1px; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span><span class="Comment">/* BEGIN INCLUDE FILE ..... lalr_parse_grammar_t_.incl.pl1 .....</span>
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span><span class="Comment">SCANNER AND PARSER TABLES FROM SEGMENT</span>
<span id="L5" class="LineNr"> 5 </span><span class="Comment">          &gt;udd&gt;sa&gt;ejs&gt;work&gt;temp&gt;mit&gt;foo&gt;lalr_parse_grammar_.grammar</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span><span class="Comment">   Generated by: Swenson.SysAdmin.a using LALR 7.3a of Thursday, January 24, 1985</span>
<span id="L8" class="LineNr"> 8 </span><span class="Comment">   Generated at: Gold Hill Multics</span>
<span id="L9" class="LineNr"> 9 </span><span class="Comment">   Generated on: 08/07/22  0955.7 pdt Sun</span>
<span id="L10" class="LineNr">10 </span><span class="Comment">   Generated from: &gt;udd&gt;sa&gt;ejs&gt;work&gt;temp&gt;mit&gt;foo&gt;lalr_parse_grammar_.lalr */</span>
<span id="L11" class="LineNr">11 </span>
<span id="L12" class="LineNr">12 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$terminals_list</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L13" class="LineNr">13 </span>    <span class="Number">2</span> <span class="Normal">terminals_list_size</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L14" class="LineNr">14 </span>    <span class="Number">2</span> <span class="Normal">terminals_list</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">6</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">,</span>
<span id="L15" class="LineNr">15 </span>      <span class="Number">3</span> <span class="Macro">position</span> <span class="Macro">fixed</span> <span class="Macro">bin</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Normal">unsigned</span> <span class="Macro">unaligned</span><span class="Normal">,</span>
<span id="L16" class="LineNr">16 </span>      <span class="Number">3</span> <span class="Function">length</span> <span class="Macro">fixed</span> <span class="Macro">bin</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Normal">unsigned</span> <span class="Macro">unaligned</span><span class="Normal">;</span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$terminal_characters</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L19" class="LineNr">19 </span>    <span class="Number">2</span> <span class="Normal">terminal_characters_length</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L20" class="LineNr">20 </span>    <span class="Number">2</span> <span class="Normal">terminal_characters</span> <span class="StorageClass">char</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">80</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">;</span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$dpda</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L23" class="LineNr">23 </span>    <span class="Number">2</span> <span class="Normal">dpda_size</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L24" class="LineNr">24 </span>    <span class="Number">2</span> <span class="Normal">dpda</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">69</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">,</span>
<span id="L25" class="LineNr">25 </span>      <span class="Number">3</span> <span class="pliRainbow_lv0_p0">(</span><span class="Normal">v1</span><span class="pliRainbow_lv0_o0">,</span> <span class="Normal">v2</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">fixed</span> <span class="Macro">bin</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">17</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">;</span>
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$skip</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L28" class="LineNr">28 </span>    <span class="Number">2</span> <span class="Normal">skip_size</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L29" class="LineNr">29 </span>    <span class="Number">2</span> <span class="Keyword">skip</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">2</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">,</span>
<span id="L30" class="LineNr">30 </span>      <span class="Number">3</span> <span class="pliRainbow_lv0_p0">(</span><span class="Normal">v1</span><span class="pliRainbow_lv0_o0">,</span> <span class="Normal">v2</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">fixed</span> <span class="Macro">bin</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">17</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">;</span>
<span id="L31" class="LineNr">31 </span>
<span id="L32" class="LineNr">32 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$standard_prelude</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L33" class="LineNr">33 </span>    <span class="Number">2</span> <span class="Normal">standard_prelude_length</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L34" class="LineNr">34 </span>    <span class="Number">2</span> <span class="Normal">standard_prelude</span> <span class="StorageClass">char</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">0</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">;</span>
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$production_names</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L37" class="LineNr">37 </span>    <span class="Number">2</span> <span class="Normal">production_names_size</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L38" class="LineNr">38 </span>    <span class="Number">2</span> <span class="Normal">production_names</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">17</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">fixed</span> <span class="Macro">bin</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">17</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">unaligned</span><span class="Normal">;</span>
<span id="L39" class="LineNr">39 </span>
<span id="L40" class="LineNr">40 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$variables_list</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L41" class="LineNr">41 </span>    <span class="Number">2</span> <span class="Normal">variables_list_size</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L42" class="LineNr">42 </span>    <span class="Number">2</span> <span class="Normal">variables_list</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">10</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">,</span>
<span id="L43" class="LineNr">43 </span>      <span class="Number">3</span> <span class="pliRainbow_lv0_p0">(</span><span class="Macro">position</span><span class="pliRainbow_lv0_o0">,</span> <span class="Function">length</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">fixed</span> <span class="Macro">bin</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">18</span><span class="pliRainbow_lv0_p0">)</span> <span class="Normal">unsigned</span> <span class="Macro">unaligned</span><span class="Normal">;</span>
<span id="L44" class="LineNr">44 </span>
<span id="L45" class="LineNr">45 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$variable_characters</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L46" class="LineNr">46 </span>    <span class="Number">2</span> <span class="Normal">variable_characters_length</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L47" class="LineNr">47 </span>    <span class="Number">2</span> <span class="Normal">variable_characters</span> <span class="StorageClass">char</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">87</span><span class="pliRainbow_lv0_p0">)</span><span class="Normal">;</span>
<span id="L48" class="LineNr">48 </span>
<span id="L49" class="LineNr">49 </span><span class="Keyword">dcl</span> <span class="Number">1</span> <span class="Normal">lalr_parse_grammar_t_$object_def</span> <span class="Macro">aligned</span> <span class="Macro">external</span> <span class="Macro">static</span><span class="Normal">,</span>
<span id="L50" class="LineNr">50 </span>    <span class="Number">2</span> <span class="Normal">version</span> <span class="StorageClass">char</span> <span class="pliRainbow_lv0_p0">(</span><span class="Number">8</span><span class="pliRainbow_lv0_p0">)</span> <span class="Macro">aligned</span><span class="Normal">,</span>
<span id="L51" class="LineNr">51 </span>    <span class="Number">2</span> <span class="Normal">terminals_hash_list_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L52" class="LineNr">52 </span>    <span class="Number">2</span> <span class="Normal">terminals_list_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L53" class="LineNr">53 </span>    <span class="Number">2</span> <span class="Normal">terminal_characters_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L54" class="LineNr">54 </span>    <span class="Number">2</span> <span class="Normal">dpda_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L55" class="LineNr">55 </span>    <span class="Number">2</span> <span class="Normal">skip_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L56" class="LineNr">56 </span>    <span class="Number">2</span> <span class="Normal">standard_prelude_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L57" class="LineNr">57 </span>    <span class="Number">2</span> <span class="Normal">production_names_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L58" class="LineNr">58 </span>    <span class="Number">2</span> <span class="Normal">variables_list_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L59" class="LineNr">59 </span>    <span class="Number">2</span> <span class="Normal">variable_characters_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">,</span>
<span id="L60" class="LineNr">60 </span>    <span class="Number">2</span> <span class="Normal">semantics_vector_offset</span> <span class="Macro">fixed</span> <span class="Macro">bin</span><span class="Normal">;</span>
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span><span class="Comment">/*   END INCLUDE FILE ..... lalr_parse_grammar_t_.incl.pl1 ..... */</span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
